package it.integry.integrywmsnative.gest.accettazione_bolla_picking.dto;

import java.util.ArrayList;
import java.util.List;

import it.integry.integrywmsnative.core.model.MtbAart;
import it.integry.integrywmsnative.core.model.MtbColr;
import it.integry.integrywmsnative.core.model.dto.PickDataDTO;
import it.integry.integrywmsnative.gest.accettazione_bolla_elenco.rest.dto.SitBollaAccettazioneDTO;

public class PickingObjectDTO {
    private SitBollaAccettazioneDTO sitBollaAccettazione;
    private MtbAart mtbAart;

    private PickDataDTO tempPickData;
    private List<MtbColr> withdrawMtbColrs = new ArrayList<>();

    private boolean hidden = false;

    public SitBollaAccettazioneDTO getSitBollaAccettazione() {
        return sitBollaAccettazione;
    }

    public PickingObjectDTO setSitBollaAccettazione(SitBollaAccettazioneDTO sitBollaAccettazione) {
        this.sitBollaAccettazione = sitBollaAccettazione;
        return this;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public PickingObjectDTO setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }

    public PickDataDTO getTempPickData() {
        return tempPickData;
    }

    public PickingObjectDTO setTempPickData(PickDataDTO tempPickData) {
        this.tempPickData = tempPickData;
        return this;
    }

    public List<MtbColr> getWithdrawMtbColrs() {
        return withdrawMtbColrs;
    }

    public PickingObjectDTO setWithdrawMtbColrs(List<MtbColr> withdrawMtbColrs) {
        this.withdrawMtbColrs = withdrawMtbColrs;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public PickingObjectDTO setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }
}
